# このファイルは, yaml の書式に従う.
# 記入する必要があるのは下の 4 種類.
#   file_cgi   : 生成する cgi (ruby) ファイル名
#                このファイルが html から呼ばれる
#   file_figs  : 描画する図の情報
#   parameters : パラメータ実験で振るパラメータ
#   pardir     : パラメータ実験から得られた図の格納ディレクトリの親ディレクトリ


#   file_cgi: <cgi_file_name>
#     スクリプトが生成する cgi 用 ruby スクリプトの名前の指定.

file_cgi: "Earth_SO_v13.cgi"

#   file_figs:
#     <file_fig1> : <file_fig1_long_name>
#     <file_fig2> : <file_fig2_long_name>
#     ...
#     <file_figN> : <file_figN_long_name>

file_figs:
  fig_ty_SurfTemp.png              : "[時間-緯度] 1 年平均東西平均 惑星表面温度"
  fig_ty_SurfAlbedo.png            : "[時間-緯度] 1 年平均東西平均 惑星表面アルベド"
  fig_ty_Rain.png                  : "[時間-緯度] 1 年平均東西平均 降水量"
  fig_ty_Snow.png                  : "[時間-緯度] 1 年平均東西平均 降雪量"
  fig_ty_PRCP.png                  : "[時間-緯度] 1 年平均東西平均 降水量＋降雪量"
  fig_xy_am_SurfTemp.png           : "[経度-緯度] 1 年平均 惑星表面温度"
  fig_xy_am_SurfAlbedo.png         : "[経度-緯度] 1 年平均 惑星表面アルベド"
  fig_xy_am_Rain.png               : "[経度-緯度] 1 年平均 降水量"
  fig_xy_am_Snow.png               : "[経度-緯度] 1 年平均 降雪量"
  fig_xy_am_PRCP.png               : "[経度-緯度] 1 年平均 降水量＋降雪量"
  fig_xy_am_QH2OVap.png            : "[経度-緯度] 1 年平均 水蒸気カラム密度"
  fig_xy_am_QH2OLiq.png            : "[経度-緯度] 1 年平均 雲水カラム密度"
  fig_xy_am_QH2OSol.png            : "[経度-緯度] 1 年平均 雲氷カラム密度"
  fig_xy_am_QH2OLiq+QH2OSol.png    : "[経度-緯度] 1 年平均 雲水＋雲氷カラム密度"
  fig_xy_mm_SurfTemp.mp4           : "[経度-緯度, 動画] 30 地球日平均 惑星表面温度"
  fig_xy_mm_SurfAlbedo.mp4         : "[経度-緯度, 動画] 30 地球日平均 惑星表面アルベド"
  fig_xy_mm_Rain.mp4               : "[経度-緯度, 動画] 30 地球日平均 降水量"
  fig_xy_mm_Snow.mp4               : "[経度-緯度, 動画] 30 地球日平均 降雪量"
  fig_xy_mm_PRCP.mp4               : "[経度-緯度, 動画] 30 地球日平均 降水量＋降雪量"
  fig_xy_mm_QH2OVap.mp4            : "[経度-緯度, 動画] 30 地球日平均 水蒸気カラム密度"
  fig_xy_mm_QH2OLiq.mp4            : "[経度-緯度, 動画] 30 地球日平均 雲水カラム密度"
  fig_xy_mm_QH2OSol.mp4            : "[経度-緯度, 動画] 30 地球日平均 雲氷カラム密度"
  fig_xy_mm_QH2OLiq+QH2OSol.mp4    : "[経度-緯度, 動画] 30 地球日平均 雲水＋雲氷カラム密度"
  fig_yplin_am_U.png               : "[緯度-圧力] 1 年平均東西平均 東西風"
  fig_yplin_am_V.png               : "[緯度-圧力] 1 年平均東西平均 南北風"
  fig_yplin_am_MSF.png             : "[緯度-圧力] 1 年平均 質量流線関数"
  fig_yplin_am_Temp.png            : "[緯度-圧力] 1 年平均東西平均 温度"
  fig_yplin_am_QH2OVap.png         : "[緯度-圧力] 1 年平均東西平均 比湿"
  fig_yplin_am_QH2OLiq.png         : "[緯度-圧力] 1 年平均東西平均 雲水混合比"
  fig_yplin_am_QH2OSol.png         : "[緯度-圧力] 1 年平均東西平均 雲氷混合比"
  fig_yplin_am_QH2OLiq+QH2OSol.png : "[緯度-圧力] 1 年平均東西平均 雲水＋雲氷混合比"
  fig_yplin_mm_U.mp4               : "[緯度-圧力, 動画] 30 地球日平均東西平均 東西風"
  fig_yplin_mm_V.mp4               : "[緯度-圧力, 動画] 30 地球日平均東西平均 南北風"
  fig_yplin_mm_MSF.mp4             : "[緯度-圧力, 動画] 30 地球日平均 質量流線関数"
  fig_yplin_mm_Temp.mp4            : "[緯度-圧力, 動画] 30 地球日平均東西平均 温度"
  fig_yplin_mm_QH2OVap.mp4         : "[緯度-圧力, 動画] 30 地球日平均東西平均 比湿"
  fig_yplin_mm_QH2OLiq.mp4         : "[緯度-圧力, 動画] 30 地球日平均東西平均 雲水混合比"
  fig_yplin_mm_QH2OSol.mp4         : "[緯度-圧力, 動画] 30 地球日平均東西平均 雲氷混合比"
  fig_yplin_mm_QH2OLiq+QH2OSol.mp4 : "[緯度-圧力, 動画] 30 地球日平均東西平均 雲水＋雲氷混合比"

#   parameters:
#     <param1> :
#       long_name    : <param1_long_name>
#       values       : [<param1_val1>, <param1_val2>, ... ]
#       default      : <param1_default_val>
#       unit         : <unit>
#       label_format : <format_string>
#     <param2> :
#       ...
#
#   values はパラメータの取りうる値. パラメータと言っても文字列でもよい(はず).
#   default で指定した値がvalues[..] で指定した値の中のデフォルト値となる.
#   default は指定しなくても良い.
#   <format_string> は ruby の書式指定方法に従い, values の値がこの書式に
#   従って文字となり図が置かれたディレクトリの名前に使われる.

parameters:
  Sfc : 
    long_name    : "惑星表面状態"
    values       : ["LO_topog", "LO_flat", "O_flat", "L_topog"]
    default      : "LO_topog"
    unit         : ""
    label_format : "%s"
  Obl : 
    long_name    : "自転軸傾斜角"
    values       : [0.0, 23.4, 30.0, 40.0, 50.0, 60.0, 90.0]
    default      : 23.4
    unit         : "&deg"
    label_format : "%04.1f"
  RotPeriod :
    long_name    : "自転周期"
#    values       : [1.00, 2.98, 9.73, 27.69, 90.00, 360.0]
#    values       : [1.00, 3, 9.73, 10, 27.69, 30, 90.00, 360.0]
#    values       : [1, 2.98, 3, 9.73, 27.69, 90, 360]
    values       : [1, 2.98, 9.73, 27.69, 90, 360]
    default      : 1
    unit         : "地球日"
    label_format : "%06.2f"
  Radius : 
    long_name    : "惑星半径"
    values       : [3186, 4247, 6371]
    default      : 6371
    unit         : "km"
    label_format : "%05d"
  Ps : 
    long_name    : "平均地表面気圧"
    values       : [49965, 66688, 100000]
    default      : 100000
    unit         : "Pa"
    label_format : "%06d"

#   figs: 
#     pardir      : <pardir>
#     file_prefix : <file_prefix>
#     file_ext    : <file_ext>
#
#   上記の指定によって, 各実験の図は下のディレクトリに存在すると仮定される.
#     <pardir>/<param1><param1val1>/<param2><param2val1>/...
#     <pardir>/<param1><param1val2>/<param2><param2val1>/...
#     ...
#     <pardir>/<param1><param1val1>/<param2><param2val2>/...
#     <pardir>/<param1><param1val1>/<param2><param2val3>/...
#     ...
#
#   そしてそれぞれのディレクトリ内に file_figs に指定したファイルの存在が
#   仮定される.

pardir  : "figs"


# 下は指定しなくても良い

parameters_selected : ["Obl", "RotPeriod"]
html_titletxt : "Parameter experiments"
fig_width     : 100
#fig_width     : 250
flag_dirlink  : true
flag_show_info : true
#flag_debug    : true
